#
# original_author: "Justin Finnerty"
# original_date: "July 2005"
# current_date: "$Date: 2005/10/31 07:18:05 $"
# current_author: "$Author: finnerty $"
# revision: "$Revision: 2.6 $"
# $Log: makefile.in,v $
# Revision 2.6  2005/10/31 07:18:05  finnerty
# Added ability to create symlinks between directories as an alternative to merging. The major changes are in DIRDUP_REPORT with others adding/changing features as required.
#
# Revision 2.5  2005/09/30 07:24:04  finnerty
# Finalised for alpha version with ISE
#
# Revision 2.4  2005/09/30 06:48:16  finnerty
# Finalised for alpha release with SE and VE compilers
#
# Revision 2.3  2005/09/28 14:57:39  finnerty
# Corrected list of subdirs in OTHERDEP
#
# Revision 2.2  2005/09/27 06:26:34  finnerty
# Integrated makefile system with autoconf
#
# Revision 2.1  2005/09/06 23:00:44  finnerty
# Support files for compiling with VE and SE
#
# Revision 2.0  2005/08/26 23:18:23  finnerty
# == alpha version ==
#
# Revision 1.1  2005/08/26 22:51:34  finnerty
# autoconfiscated
#
#

LOCALESRC=demangle.e local_directory.e synchronised_directory.e
OTHERDEP=collection configuration fso report utility agent ve
HDR=
SRC=
OBJ=$(SRC:.c=.o)
PROG=@PACKAGE_NAME@

include makefile.sys

install: $(PROG)
	[ -d @prefix@@bindir@ ] || install -m 755 -d @prefix@@bindir@
	install -m 755 $(PROG) @prefix@@bindir@
	[ -d @prefix@@mandir@/man1 ] || install -m 755 -d @prefix@@mandir@/man1
	install -m 644 doc/$(PROG).man @prefix@@mandir@/man1/$(PROG).1
	[ -d @prefix@@datadir@/$(PROG) ] || install -m 755 -d @prefix@@datadir@/$(PROG)
	install -m 644 doc/$(PROG).html @prefix@@datadir@/$(PROG)
	install -m 644 LICENSE @prefix@@datadir@/$(PROG)
	install -m 644 test2.tbz2 @prefix@@datadir@/$(PROG)
	install -m 644 test3.tbz2 @prefix@@datadir@/$(PROG)

uninstall:
	[ -x @prefix@@bindir@/$(PROG) ] && rm -f  @prefix@@bindir@/$(PROG)
	[ -f @prefix@@mandir@/man1/$(PROG).1 ] && rm -f  @prefix@@mandir@/man1/$(PROG).1
	[ -d @prefix@@datadir@/$(PROG) ] && rm -rf @prefix@@datadir@/$(PROG)

esource::
	/bin/sh -c \
	"for DIR in $(OTHERDEP) ; do pushd \$${DIR}; make esource ; popd ; done"

# GEPP dependencies
demangle.e: demangle.ge
local_directory.e: local_directory.ge
synchronised_directory.e: synchronised_directory.ge

